import { IEqualityComparer, IEqualityComparer$1, Base, Type } from "./type";
export declare abstract class EqualityComparer$1<T> extends Base implements IEqualityComparer, IEqualityComparer$1<T> {
    protected $t: Type;
    constructor($t: Type);
    static defaultEqualityComparerValue<T>($t: Type): EqualityComparer$1<T>;
    equalsC(a: any, b: any): boolean;
    getHashCodeC(a: any): number;
    static $t: Type;
}
export declare class DefaultEqualityComparer$1<T> extends EqualityComparer$1<T> {
    protected $t: Type;
    constructor($t: Type);
    equalsC(a: T, b: T): boolean;
    getHashCodeC(a: T): number;
    static $t: Type;
}
